summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author crocket2010-10-19 06:17:30 +0200
committer Michiel van Wessem2010-10-19 06:17:30 +0200
commit584ec3e1a28c6c302ddb506e388e5424b0835fee (patch)
tree30dbcfeee3979c9f2ccfa2e262b14ef757ceb7d8
parent374a6ba3e00b9c5b59b84d07b4c13995c81df6d9 (diff)
downloadslackbuilds-584ec3e1a28c6c302ddb506e388e5424b0835fee.tar.gz
libraries/libdmapsharing: Added (lib for DMAP family of protocols).
Signed-off-by: Michiel van Wessem <michiel@slackbuilds.org>
-rw-r--r--libraries/libdmapsharing/README13
-rw-r--r--libraries/libdmapsharing/libdmapsharing.SlackBuild85
-rw-r--r--libraries/libdmapsharing/libdmapsharing.info10
-rw-r--r--libraries/libdmapsharing/slack-desc19
4 files changed, 127 insertions, 0 deletions
diff --git a/libraries/libdmapsharing/README b/libraries/libdmapsharing/README
new file mode 100644
index 0000000000..bc16aa494b
--- /dev/null
+++ b/libraries/libdmapsharing/README
@@ -0,0 +1,13 @@
+libdmapsharing (A library that provides the DMAP family of protocols)
+
+It is a library you may use to access and share DMAP (DAAP & DPAP)
+content. The library is written in C using GObject and libsoup.
+The DMAP family of protocols are used by products such as iTunes(TM),
+iPhoto(TM), and the Roku SoundBridge(TM) family to share content such
+as music and photos.
+
+This requires avahi or howl.
+Currently, only avahi is in slackbuilds.org.
+
+It also requires libsoup.
+
diff --git a/libraries/libdmapsharing/libdmapsharing.SlackBuild b/libraries/libdmapsharing/libdmapsharing.SlackBuild
new file mode 100644
index 0000000000..1df7a961b6
--- /dev/null
+++ b/libraries/libdmapsharing/libdmapsharing.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for libdmapsharing
+
+# Written by crocket (crockabiscuit@yahoo.com)
+
+PRGNAM=libdmapsharing
+VERSION=${VERSION:-2.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README README-Memory TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/libraries/libdmapsharing/libdmapsharing.info b/libraries/libdmapsharing/libdmapsharing.info
new file mode 100644
index 0000000000..e716c5ea08
--- /dev/null
+++ b/libraries/libdmapsharing/libdmapsharing.info
@@ -0,0 +1,10 @@
+PRGNAM="libdmapsharing"
+VERSION="2.1.3"
+HOMEPAGE="http://www.flyn.org/projects/libdmapsharing/"
+DOWNLOAD="http://www.flyn.org/projects/libdmapsharing/libdmapsharing-2.1.3.tar.gz"
+MD5SUM="93098a477a73887744bc6657682cf2ae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@yahoo.com"
+APPROVED="michiel"
diff --git a/libraries/libdmapsharing/slack-desc b/libraries/libdmapsharing/slack-desc
new file mode 100644
index 0000000000..e62f0f8a1f
--- /dev/null
+++ b/libraries/libdmapsharing/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libdmapsharing: libdmapsharing (A library that provides the DMAP family of protocols)
+libdmapsharing:
+libdmapsharing: It is a library you may use to access and share DMAP (DAAP & DPAP)
+libdmapsharing: content. The library is written in C using GObject and libsoup.
+libdmapsharing: The DMAP family of protocols are used by products such as iTunes(TM),
+libdmapsharing: iPhoto(TM), and the Roku SoundBridge(TM) family to share content such
+libdmapsharing: as music and photos.
+libdmapsharing:
+libdmapsharing: The website is http://www.flyn.org/projects/libdmapsharing/
+libdmapsharing:
+libdmapsharing: